Mtbl Mathematics
Spectral representation.

() More...

## Functions

Mtbl | Lorene::operator+ (const Mtbl &)
Mtbl | Lorene::operator- (const Mtbl &)
| `-` Mtbl
Mtbl | Lorene::operator+ (const Mtbl &, const Mtbl &)
| Mtbl + Mtbl.
Mtbl | Lorene::operator+ (const Mtbl &, double)
| Mtbl + double.
Mtbl | Lorene::operator+ (double, const Mtbl &)
| double + Mtbl
Mtbl | Lorene::operator+ (const Mtbl &, int)
| Mtbl + int.
Mtbl | Lorene::operator+ (int, const Mtbl &)
| int + Mtbl
Mtbl | Lorene::operator- (const Mtbl &, const Mtbl &)
| Mtbl - Mtbl.
Mtbl | Lorene::operator- (const Mtbl &, double)
| Mtbl - double.
Mtbl | Lorene::operator- (double, const Mtbl &)
| double - Mtbl
Mtbl | Lorene::operator- (const Mtbl &, int)
| Mtbl - int.
Mtbl | Lorene::operator- (int, const Mtbl &)
| int - Mtbl
Mtbl | Lorene::operator* (const Mtbl &, const Mtbl &)
| Mtbl * Mtbl.
Mtbl | Lorene::operator* (const Mtbl &, double)
| Mtbl * double.
Mtbl | Lorene::operator* (double, const Mtbl &)
| double * Mtbl
Mtbl | Lorene::operator* (const Mtbl &, int)
| Mtbl * int.
Mtbl | Lorene::operator* (int, const Mtbl &)
| int * Mtbl
Mtbl | Lorene::operator/ (const Mtbl &, const Mtbl &)
| Mtbl / Mtbl.
Mtbl | Lorene::operator/ (const Mtbl &, double)
| Mtbl / double.
Mtbl | Lorene::operator/ (double, const Mtbl &)
| double / Mtbl
Mtbl | Lorene::operator/ (const Mtbl &, int)
| Mtbl / int.
Mtbl | Lorene::operator/ (int, const Mtbl &)
| int / Mtbl
Mtbl | Lorene::sin (const Mtbl &)
| Sine.
Mtbl | Lorene::cos (const Mtbl &)
| Cosine.
Mtbl | Lorene::tan (const Mtbl &)
| Tangent.
Mtbl | Lorene::asin (const Mtbl &)
| Arcsine.
Mtbl | Lorene::acos (const Mtbl &)
| Arccosine.
Mtbl | Lorene::atan (const Mtbl &)
| Arctangent.
Mtbl | Lorene::exp (const Mtbl &)
| Exponential.
Mtbl | Lorene::Heaviside (const Mtbl &)
| Heaviside function.
Mtbl | Lorene::log (const Mtbl &)
| Neperian logarithm.
Mtbl | Lorene::log10 (const Mtbl &)
| Basis 10 logarithm.
Mtbl | Lorene::sqrt (const Mtbl &)
| Square root.
Mtbl | Lorene::racine_cubique (const Mtbl &)
| Cube root.
Mtbl | Lorene::pow (const Mtbl &, int)
| Power .
Mtbl | Lorene::pow (const Mtbl &, double)
| Power .
Mtbl | Lorene::abs (const Mtbl &)
| Absolute value.
double | Lorene::totalmax (const Mtbl &)
| Maximum value of the `Mtbl` elements in all domains.
double | Lorene::totalmin (const Mtbl &)
| Minimum value of the `Mtbl` elements in all domain.
Tbl | Lorene::max (const Mtbl &)
| Maximum values of the `Mtbl` elements in each domain.
Tbl | Lorene::min (const Mtbl &)
| Minimum values of the `Mtbl` elements in each domain.
Tbl | Lorene::norme (const Mtbl &)
| Sums of the absolute values of all the `Mtbl` elements in each domain.
Tbl | Lorene::diffrel (const Mtbl &a, const Mtbl &b)
| Relative difference between two `Mtbl` (norme version).
Tbl | Lorene::diffrelmax (const Mtbl &a, const Mtbl &b)
| Relative difference between two `Mtbl` (max version).

## Detailed Description

()

## Function Documentation

## abs()

Mtbl Lorene::abs | ( | const Mtbl & | ti | ) |

Absolute value.

Definition at line 461 of file mtbl_math.C.

References abs(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## acos()

Mtbl Lorene::acos | ( | const Mtbl & | ti | ) |

Arccosine.

Definition at line 184 of file mtbl_math.C.

References acos(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## asin()

Mtbl Lorene::asin | ( | const Mtbl & | ti | ) |

Arcsine.

Definition at line 159 of file mtbl_math.C.

References asin(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## atan()

Mtbl Lorene::atan | ( | const Mtbl & | ti | ) |

Arctangent.

Definition at line 213 of file mtbl_math.C.

References atan(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## cos()

Mtbl Lorene::cos | ( | const Mtbl & | ti | ) |

Cosine.

Definition at line 105 of file mtbl_math.C.

References cos(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## diffrel()

Tbl Lorene::diffrel | ( | const Mtbl & | a,
|  | const Mtbl & | b )

Relative difference between two `Mtbl` (norme version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `norme`[a(l)-b(l)]/norme[b(l)] if `b(l)!=0` and `norme`[a(l)-b(l)] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 638 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Tbl::get_etat(), Lorene::Mtbl::get_nzone(), norme(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## diffrelmax()

Tbl Lorene::diffrelmax | ( | const Mtbl & | a,
|  | const Mtbl & | b )

Relative difference between two `Mtbl` (max version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `max`[abs(a(l)-b(l))]/max[abs(b(l))] if `b(l)!=0` and `max`[abs(a(l)-b(l))] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 671 of file mtbl_math.C.

References abs(), Lorene::Mtbl::get_etat(), Lorene::Tbl::get_etat(), Lorene::Mtbl::get_nzone(), max(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## exp()

Mtbl Lorene::exp | ( | const Mtbl & | ti | ) |

Exponential.

Definition at line 288 of file mtbl_math.C.

References exp(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## Heaviside()

Mtbl Lorene::Heaviside | ( | const Mtbl & | ti | ) |

Heaviside function.

Definition at line 317 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Heaviside(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## log()

Mtbl Lorene::log | ( | const Mtbl & | ti | ) |

Neperian logarithm.

Definition at line 346 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), log(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## log10()

Mtbl Lorene::log10 | ( | const Mtbl & | ti | ) |

Basis 10 logarithm.

Definition at line 372 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), log10(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## max()

Tbl Lorene::max | ( | const Mtbl & | mti | ) |

Maximum values of the `Mtbl` elements in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 551 of file mtbl_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), max(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), and Lorene::Mtbl::t.

## min()

Tbl Lorene::min | ( | const Mtbl & | mti | ) |

Minimum values of the `Mtbl` elements in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 580 of file mtbl_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), min(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), and Lorene::Mtbl::t.

## norme()

Tbl Lorene::norme | ( | const Mtbl & | mti | ) |

Sums of the absolute values of all the `Mtbl` elements in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the sums of the absolute values in each domain.

Definition at line 609 of file mtbl_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), norme(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), and Lorene::Mtbl::t.

## operator*() [1/5]

Mtbl Lorene::operator* | ( | const Mtbl & | t1,
|  | const Mtbl & | t2 )

Mtbl * Mtbl.

Definition at line 313 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), r, and Lorene::Mtbl::t.

## operator*() [2/5]

Mtbl Lorene::operator* | ( | const Mtbl & | t1,
|  | double | x )

Mtbl * double.

Definition at line 344 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), r, and x.

## operator*() [3/5]

Mtbl Lorene::operator* | ( | const Mtbl & | t1,
|  | int | m )

Mtbl * int.

Definition at line 382 of file mtbl_arithm.C.

## operator*() [4/5]

Mtbl Lorene::operator* | ( | double | x,
|  | const Mtbl & | t1 )

double * Mtbl

Definition at line 375 of file mtbl_arithm.C.

References x.

## operator*() [5/5]

Mtbl Lorene::operator* | ( | int | m,
|  | const Mtbl & | t1 )

int * Mtbl

Definition at line 389 of file mtbl_arithm.C.

## operator+() [1/6]

Mtbl Lorene::operator+ | ( | const Mtbl & | t1 | ) |

- Mtbl

Definition at line 92 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat().

## operator+() [2/6]

Mtbl Lorene::operator+ | ( | const Mtbl & | t1,
|  | const Mtbl & | t2 )

Mtbl + Mtbl.

Definition at line 129 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), r, and Lorene::Mtbl::t.

## operator+() [3/6]

Mtbl Lorene::operator+ | ( | const Mtbl & | t1,
|  | double | x )

Mtbl + double.

Definition at line 160 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), r, and x.

## operator+() [4/6]

Mtbl Lorene::operator+ | ( | const Mtbl & | t1,
|  | int | m )

Mtbl + int.

Definition at line 202 of file mtbl_arithm.C.

## operator+() [5/6]

Mtbl Lorene::operator+ | ( | double | x,
|  | const Mtbl & | t1 )

double + Mtbl

Definition at line 195 of file mtbl_arithm.C.

References x.

## operator+() [6/6]

Mtbl Lorene::operator+ | ( | int | m,
|  | const Mtbl & | t1 )

int + Mtbl

Definition at line 209 of file mtbl_arithm.C.

## operator-() [1/6]

Mtbl Lorene::operator- | ( | const Mtbl & | t1 | ) |

`-` Mtbl

Definition at line 102 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), r, and Lorene::Mtbl::t.

## operator-() [2/6]

Mtbl Lorene::operator- | ( | const Mtbl & | t1,
|  | const Mtbl & | t2 )

Mtbl - Mtbl.

Definition at line 221 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), r, and Lorene::Mtbl::t.

## operator-() [3/6]

Mtbl Lorene::operator- | ( | const Mtbl & | t1,
|  | double | x )

Mtbl - double.

Definition at line 252 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), r, and x.

## operator-() [4/6]

Mtbl Lorene::operator- | ( | const Mtbl & | t1,
|  | int | m )

Mtbl - int.

Definition at line 295 of file mtbl_arithm.C.

## operator-() [5/6]

Mtbl Lorene::operator- | ( | double | x,
|  | const Mtbl & | t1 )

double - Mtbl

Definition at line 288 of file mtbl_arithm.C.

References x.

## operator-() [6/6]

Mtbl Lorene::operator- | ( | int | m,
|  | const Mtbl & | t1 )

int - Mtbl

Definition at line 302 of file mtbl_arithm.C.

## operator/() [1/5]

Mtbl Lorene::operator/ | ( | const Mtbl & | t1,
|  | const Mtbl & | t2 )

Mtbl / Mtbl.

Definition at line 400 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), r, and Lorene::Mtbl::t.

## operator/() [2/5]

Mtbl Lorene::operator/ | ( | const Mtbl & | t1,
|  | double | x )

Mtbl / double.

Definition at line 433 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), r, and x.

## operator/() [3/5]

Mtbl Lorene::operator/ | ( | const Mtbl & | t1,
|  | int | n )

Mtbl / int.

Definition at line 462 of file mtbl_arithm.C.

## operator/() [4/5]

Mtbl Lorene::operator/ | ( | double | x,
|  | const Mtbl & | t1 )

double / Mtbl

Definition at line 469 of file mtbl_arithm.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), r, Lorene::Mtbl::t, and x.

## operator/() [5/5]

Mtbl Lorene::operator/ | ( | int | m,
|  | const Mtbl & | t1 )

int / Mtbl

Definition at line 503 of file mtbl_arithm.C.

## pow() [1/2]

Mtbl Lorene::pow | ( | const Mtbl & | ti,
|  | double | x )

Power .

Definition at line 430 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), pow(), Lorene::Mtbl::set_etat_qcq(), Lorene::Mtbl::t, and x.

## pow() [2/2]

Mtbl Lorene::pow | ( | const Mtbl & | ti,
|  | int | n )

Power .

Definition at line 398 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), pow(), Lorene::Mtbl::set_etat_qcq(), Lorene::Mtbl::t, and x.

## racine_cubique()

Mtbl Lorene::racine_cubique | ( | const Mtbl & | ti | ) |

Cube root.

Definition at line 264 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), racine_cubique(), Lorene::Mtbl::set_etat_qcq(), and Lorene::Mtbl::t.

## sin()

Mtbl Lorene::sin | ( | const Mtbl & | ti | ) |

Sine.

Definition at line 80 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), sin(), and Lorene::Mtbl::t.

## sqrt()

Mtbl Lorene::sqrt | ( | const Mtbl & | ti | ) |

Square root.

Definition at line 238 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), sqrt(), and Lorene::Mtbl::t.

## tan()

Mtbl Lorene::tan | ( | const Mtbl & | ti | ) |

Tangent.

Definition at line 134 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_mg(), Lorene::Mtbl::get_nzone(), Lorene::Mtbl::set_etat_qcq(), Lorene::Mtbl::t, and tan().

## totalmax()

double Lorene::totalmax | ( | const Mtbl & | mti | ) |

Maximum value of the `Mtbl` elements in all domains.

Returns
  a double

Definition at line 494 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), max(), and Lorene::Mtbl::t.

## totalmin()

double Lorene::totalmin | ( | const Mtbl & | mti | ) |

Minimum value of the `Mtbl` elements in all domain.

Returns
  a double

Definition at line 522 of file mtbl_math.C.

References Lorene::Mtbl::get_etat(), Lorene::Mtbl::get_nzone(), min(), and Lorene::Mtbl::t.